Products

Get products

get

Retrieves the available products. To make sure all VAT rates are properly displayed, pass in the IP headers as instructed.

Authorizations
AuthorizationstringOptional

An API Key token generated in the Dashboard in the format 'APIKey TOKEN_HERE'.

AuthorizationstringOptional

A Customer token generated using an API Key in the format 'Customer TOKEN_HERE'.

Query parameters
tagstring[]Optional

Tag slugs to filter by. Each tag slug is a separate query parameter.

currencystringOptional

The ISO three-letter lowercase currency code (e.g., usd, eur, gbp) to display prices in. If not provided, the store's default currency will be used.

Header parameters
x-paynow-store-idstring · flake-idRequired

PayNow Store Identifier (Store ID) available in Store Settings

x-paynow-customer-ipstring · ipv4Optional

The IP address (IPv4 or IPv6) of the customer. Required if the request is not being made from the customer's browser.

x-paynow-customer-countrycodestringOptional

The customer's country code in ISO 3166-1 alpha-2 format. Optional, but recommended if you have this available.

Pattern: ^[A-Z]{2}$
Responses
chevron-right
200

OK

application/json
idstring · flake-idRequiredExample: 411486491630370816
store_idstring · flake-idRequiredExample: 411486491630370816
version_idstring · flake-idRequiredExample: 411486491630370816
image_urlstring · nullableOptional

The URL to the product image.

Example: https://cdn.paynow.gg/logo/full/logotype-color.svg
slugstringRequired

The unique slug for the product.

Example: premium-game-package
namestringRequired

The display name of the product.

Example: Premium Game Package
descriptionstringRequired

The detailed description of the product.

Example: This premium package includes exclusive in-game items, bonus currency, and early access to new content.
enabled_atstring · nullableOptional

The date and time when the product becomes enabled.

enabled_untilstring · nullableOptional

The date and time until which the product remains enabled.

labelstring · nullableOptional

The display label for the product.

Example: Premium Items
sort_orderinteger · int32Required

The sort order for displaying the product.

priceinteger · int64Required

The price of the product, in the lowest denominator (e.g. cents).

Example: 1999
currencystringRequired

The ISO three-letter lowercase currency code (e.g., usd, eur, gbp) the product is denominated in.

single_game_server_onlybooleanRequired

Indicates whether the product is limited to a single game server.

allow_one_time_purchasebooleanRequired

Indicates whether one-time purchases are allowed.

Example: true
allow_subscriptionbooleanRequired

Indicates whether subscription purchases are allowed.

Example: true
is_gifting_disabledbooleanRequired

Indicates whether gifting is disabled for this product.

is_gift_cards_disabledbooleanRequired

Indicates whether gift cards are disabled entirely for the product.

is_coupons_disabledbooleanRequired

Indicates whether coupons are disabled entirely for the product.

is_affiliate_links_disabledbooleanRequired

Indicates whether affiliate links are disabled entirely for the product.

subscription_interval_valueinteger · int32Required

The subscription interval value.

Example: 1
subscription_interval_scalestring · enumRequiredPossible values:
remove_after_enabledbooleanRequired

Indicates whether automatic removal is enabled.

Example: true
remove_after_time_valueinteger · int32Required

The time value for automatic removal.

Example: 1
remove_after_time_scalestring · enumRequiredPossible values:
metadataobject · nullableOptional

Additional metadata for the product.

created_atstring · nullableOptional

The date and time when the product was created.

updated_atstring · nullableOptional

The date and time when the product was last updated.

get
/v1/store/products

Get product by ID or slug

get

Retrieves a product by an ID or a slug. To make sure all VAT rates are properly displayed, pass in the IP headers as instructed.

Authorizations
AuthorizationstringOptional

An API Key token generated in the Dashboard in the format 'APIKey TOKEN_HERE'.

AuthorizationstringOptional

A Customer token generated using an API Key in the format 'Customer TOKEN_HERE'.

Path parameters
idOrSlugstringRequired
Query parameters
currencystringOptional

The ISO three-letter lowercase currency code (e.g., usd, eur, gbp) to display prices in. If not provided, the store's default currency will be used.

Header parameters
x-paynow-store-idstring · flake-idRequired

PayNow Store Identifier (Store ID) available in Store Settings

x-paynow-customer-ipstring · ipv4Optional

The IP address (IPv4 or IPv6) of the customer. Required if the request is not being made from the customer's browser.

x-paynow-customer-countrycodestringOptional

The customer's country code in ISO 3166-1 alpha-2 format. Optional, but recommended if you have this available.

Pattern: ^[A-Z]{2}$
Responses
chevron-right
200

OK

application/json
idstring · flake-idRequiredExample: 411486491630370816
store_idstring · flake-idRequiredExample: 411486491630370816
version_idstring · flake-idRequiredExample: 411486491630370816
image_urlstring · nullableOptional

The URL to the product image.

Example: https://cdn.paynow.gg/logo/full/logotype-color.svg
slugstringRequired

The unique slug for the product.

Example: premium-game-package
namestringRequired

The display name of the product.

Example: Premium Game Package
descriptionstringRequired

The detailed description of the product.

Example: This premium package includes exclusive in-game items, bonus currency, and early access to new content.
enabled_atstring · nullableOptional

The date and time when the product becomes enabled.

enabled_untilstring · nullableOptional

The date and time until which the product remains enabled.

labelstring · nullableOptional

The display label for the product.

Example: Premium Items
sort_orderinteger · int32Required

The sort order for displaying the product.

priceinteger · int64Required

The price of the product, in the lowest denominator (e.g. cents).

Example: 1999
currencystringRequired

The ISO three-letter lowercase currency code (e.g., usd, eur, gbp) the product is denominated in.

single_game_server_onlybooleanRequired

Indicates whether the product is limited to a single game server.

allow_one_time_purchasebooleanRequired

Indicates whether one-time purchases are allowed.

Example: true
allow_subscriptionbooleanRequired

Indicates whether subscription purchases are allowed.

Example: true
is_gifting_disabledbooleanRequired

Indicates whether gifting is disabled for this product.

is_gift_cards_disabledbooleanRequired

Indicates whether gift cards are disabled entirely for the product.

is_coupons_disabledbooleanRequired

Indicates whether coupons are disabled entirely for the product.

is_affiliate_links_disabledbooleanRequired

Indicates whether affiliate links are disabled entirely for the product.

subscription_interval_valueinteger · int32Required

The subscription interval value.

Example: 1
subscription_interval_scalestring · enumRequiredPossible values:
remove_after_enabledbooleanRequired

Indicates whether automatic removal is enabled.

Example: true
remove_after_time_valueinteger · int32Required

The time value for automatic removal.

Example: 1
remove_after_time_scalestring · enumRequiredPossible values:
metadataobject · nullableOptional

Additional metadata for the product.

created_atstring · nullableOptional

The date and time when the product was created.

updated_atstring · nullableOptional

The date and time when the product was last updated.

get
/v1/store/products/{idOrSlug}

Last updated

Was this helpful?